{
  description = "Dotnet flake for dotnet development";
  outputs = {
    self,
    nixpkgs,
  }: let
    # pkgs = nixpkgs.legacyPackages.x86_64-linux;
    pkgs = import nixpkgs {
      system = "x86_64-linux";
      config.permittedInsecurePackages = [
        "dotnet-sdk-6.0.428"
      ];
    };
  in {
    formatter.x86_64-linux = pkgs.alejandra;
    devShells.x86_64-linux = {
      default = with pkgs;
        mkShell {
          buildInputs = with pkgs; [
            godot_4-mono
          ];
        };
    };
  };
}
